Bug 75458 - bad file permissions
bad file permissions
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-08 15:08 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 06:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-08 15:08:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The htpasswd program creates password files with read permissions for the owner
(root in my case) only. This is not sufficient as only the web server (Apache)
will be using these files to control access to web pages.

Apache cannot read the password file generated by htpasswd.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a .htaccess file with require valid-user
2.Create password file with htpasswd
3.Try to view a webpage protected by the .htaccess file

Expected Results:  The htpasswd file should have create files with permissions
such that Apache can read them by default

Additional info:
Comment 1 Joe Orton 2004-09-21 06:48:06 EDT
Thanks for the report.  This is a mass bug update; since this release
of Red Hat Linux is no longer supported, please either:

a) try and reproduce the bug with a supported version of Red Hat
Enterprise Linux or Fedora Core, and re-open this bug as appropriate
after changing the Product field, or,

b) if relevant, try and reproduce this bug using the current version
of the upstream package, and report the bug upstream.

Note You need to log in before you can comment on or make changes to this bug.